# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Ifetch_queue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Ifetch_queue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue

#-----[ Library ]------------------------------------------

Ifetch_queue_LIBRARY		= 	-lIfetch_queue	\
					$(Behavioural_LIBRARY)	

Ifetch_queue_DIR_LIBRARY		=	-L$(Ifetch_queue_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Ifetch_queue_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile;

Ifetch_queue_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile clean;
